Mailinglist Archive: opensuse-updates (37 mails)

< Previous Next >
openSUSE-SU-2015:1372-1: moderate: Security update for gnutls
openSUSE Security Update: Security update for gnutls
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1372-1
Rating: moderate
References: #929414 #929690
Cross-References: CVE-2015-3622
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:


- fix for CVE-2015-3622 in bundled libtasn1 (bsc#929414)
* invalid read in octet string
* added gnutls-CVE-2015-3622.patch
- fix for GNUTLS-SA-2015-2 (bsc#929690)
* ServerKeyExchange signature issue
* added gnutls-GNUTLS-SA-2015-2.patch


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-542=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-542=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

gnutls-3.2.18-11.1
gnutls-debuginfo-3.2.18-11.1
gnutls-debugsource-3.2.18-11.1
libgnutls-devel-3.2.18-11.1
libgnutls-openssl-devel-3.2.18-11.1
libgnutls-openssl27-3.2.18-11.1
libgnutls-openssl27-debuginfo-3.2.18-11.1
libgnutls28-3.2.18-11.1
libgnutls28-debuginfo-3.2.18-11.1
libgnutlsxx-devel-3.2.18-11.1
libgnutlsxx28-3.2.18-11.1
libgnutlsxx28-debuginfo-3.2.18-11.1

- openSUSE 13.2 (x86_64):

libgnutls-devel-32bit-3.2.18-11.1
libgnutls28-32bit-3.2.18-11.1
libgnutls28-debuginfo-32bit-3.2.18-11.1

- openSUSE 13.1 (i586 x86_64):

gnutls-3.2.4-2.35.1
gnutls-debuginfo-3.2.4-2.35.1
gnutls-debugsource-3.2.4-2.35.1
libgnutls-devel-3.2.4-2.35.1
libgnutls-openssl-devel-3.2.4-2.35.1
libgnutls-openssl27-3.2.4-2.35.1
libgnutls-openssl27-debuginfo-3.2.4-2.35.1
libgnutls28-3.2.4-2.35.1
libgnutls28-debuginfo-3.2.4-2.35.1
libgnutlsxx-devel-3.2.4-2.35.1
libgnutlsxx28-3.2.4-2.35.1
libgnutlsxx28-debuginfo-3.2.4-2.35.1

- openSUSE 13.1 (x86_64):

libgnutls-devel-32bit-3.2.4-2.35.1
libgnutls28-32bit-3.2.4-2.35.1
libgnutls28-debuginfo-32bit-3.2.4-2.35.1


References:

https://www.suse.com/security/cve/CVE-2015-3622.html
https://bugzilla.suse.com/929414
https://bugzilla.suse.com/929690


< Previous Next >
This Thread
  • No further messages